%define major 1

%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		gtkhotkey
Version:	0.2.1
Release:	%mkrel 1
Summary:	Platform Independent Hotkey Handling for GTK+ Applications
License:	LGPLv3+
Group:		System/Libraries
Url:		http://launchpad.net/gtkhotkey/
Source:		%{name}-%{version}.tar.xz
Patch0:		gtkhotkey-glib-2.31.patch
Patch1:		gtkhotkey-0.2.1-linkage.patch
Patch2:		gtkhotkey-0.2.1-automake-1.13.patch
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel

%description
GtkHotkey is simple library offering a platform independent way for GTK+
applications to manage and bind desktop-wide hotkeys.

%package -n %{libname}
Summary:	Platform Independent Hotkey Handling for GTK+ Applications
Group:		System/Libraries

%description -n %{libname}
GtkHotkey is simple library offering a platform independent way for GTK+
applications to manage and bind desktop-wide hotkeys.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname}

%description -n %{develname}
GtkHotkey is simple library offering a platform independent way for GTK+
applications to manage and bind desktop-wide hotkeys.  This package contains
all necessary include files and libraries needed to develop applications that
require these.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std
%__rm -rf %{buildroot}%{_prefix}/doc
%__rm -f %{buildroot}%{_libdir}/libgtkhotkey.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgtkhotkey.so.%{major}*

%files -n %{develname}
%{_datadir}/gtk-doc/html/gtkhotkey
%{_includedir}/gtkhotkey-1.0/
%{_libdir}/libgtkhotkey.so
%{_libdir}/pkgconfig/*.pc

%clean
rm -rf %buildroot


%changelog
* Wed Aug 20 2014 bb <bb> 0.2.1-1pclos2014
- import into pclos
